/*= EIP114X Include File ==================================================*/

/*= GLOBAL CONSTANT DECLARATIONS ==========================================*/

/* Replace 10 with the maximum number of devices of this type being used.  */
#define  eip114x_MAX_INSTR    10
#define  NI_VXI               1
#define  NI_GPIB              2

#define  eip114x_STS_SRQ      0
#define  eip114x_STS_STD      1
#define  eip114x_STS_OPER     2
#define  eip114x_STS_QUES     3

#define  eip114x_STS_EVENT    0
#define  eip114x_STS_ENABLE   1
#define  eip114x_STS_NTR      2
#define  eip114x_STS_PTR      3


/*= GLOBAL FUNCTION DECLARATIONS ==========================================*/
int   eip114x_init(int, int, int, int, int *, int *);
int   eip114x_am_setup( int, int , int );
int   eip114x_am_depth_step( int, int);
int   eip114x_cal_all( int );
int   eip114x_cal_all_query( int , int *, char * );
int   eip114x_cls( int );
int   eip114x_cm_setup( int , int, double );
int   eip114x_error_query( int, int *, char *);
int   eip114x_error_polling( int Auto_Polling );
int   eip114x_frequency(int, int, int, double, int);
int   eip114x_freq_power( int, double, int, double, int);
int   eip114x_frequency_step( int, double, int );
int   eip114x_list_pvector_values( int, int, double, int, double, int, int, int);
int   eip114x_list_setup( int, int, int, int, int, double );
int   eip114x_memory_free_all_qry( int, int *);
int   eip114x_memory_list_delete( int );
int   eip114x_mode_set( int, int, int, int, int, int, int);
int   eip114x_outp_filter_center( int );
int   eip114x_outp_rosc( int, int, int );
int   eip114x_outp_state( int, int );
int   eip114x_outp_trig( int, int, int);
int   eip114x_power( int, double );
void  eip114x_power_att( int, int );
int   eip114x_power_dac( int, int );
int   eip114x_pulm_setup( int, int );
int   eip114x_status_enable_srq(int, int, int, int, int, int, int);
int   eip114x_status_oper_read_all( int, int *, int *, int *, int *, int * );
int   eip114x_status_quest_read_all( int,int *, int *, int *, int *, int *, int *);
int   eip114x_status_std_read_all( int, int *, int *, int *, int *);
int   eip114x_status_preset(int);
int   eip114x_sweep1_setup( int, int, int, int, int, double, double, int );
int   eip114x_sweep2_setup( int, int, int, int, int, double, double );
int   eip114x_sweep_freq_start_stop( int, int, double, double, int );
int   eip114x_sweep_power_start_stop( int,int, double, double );
int   eip114x_trigger_abort( int, int );
int   eip114x_trigger_immediate( int, int );
int   eip114x_trigger_init_immediate( int, int );
int   eip114x_trigger_setup( int, int, int, int, int );
int   eip114x_trigger_signal( int, int );
int   eip114x_user_settings( int, int);

/* Low Level Functions */
int eip114x_error_query (int, int *, char *);
int eip114x_parameter_query(int, char*, double, char*);
int eip114x_write (int, char *);
int eip114x_read (int, int, char *, long *);
int eip114x_reset (int);
int eip114x_revision_query (int, char *, char *, char *, char *);
int eip114x_self_test( int, int *, char * );
int eip114x_serial_poll (int, int *);
int eip114x_close(int);

/*=== END INCLUDE FILE ====================================================*/
